import { jsx } from "react/jsx-runtime";
import { TokenNULS as TokenNULS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNULS = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NULS", "data-name": "TokenNULS", ...props, children: /* @__PURE__ */ jsx(TokenNULS$1, { variant }) });
  }
);
TokenNULS.displayName = "TokenNULS";
Object.assign(TokenNULS, { isGdsIcon: true });
export {
  TokenNULS
};
